Skip to main content
`Ctrl`+`K`

# PetscSFGetGroups

gets incoming and outgoing process groups

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetGroups(PetscSF sf, MPI_Group *incoming, MPI_Group *outgoing)

Collective

## Input Parameter

- sf - star forest

## Output Parameters

- incoming - group of origin processes for incoming edges (leaves that reference my roots)

- outgoing - group of destination processes for outgoing edges (roots that I reference)

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFGetWindow()`, `PetscSFRestoreWindow()`

## Level

developer

## Location

src/vec/is/sf/interface/sf.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages